# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2009 by Patrick Hess, PHYTEC Messtechnik GmbH
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_ETHTOOL_HELPER) += ethtool_helper

#
# Paths and names
#
ETHTOOL_HELPER_VERSION	:= 1.0
ETHTOOL_HELPER_MD5	:= 783d7114f6b40733487bcc8f8430ac97
ETHTOOL_HELPER		:= ethtool_helper-$(ETHTOOL_HELPER_VERSION)
ETHTOOL_HELPER_SUFFIX		:= tar.bz2
ETHTOOL_HELPER_URL		:= ftp://ftp.phytec.de/pub/BSP_PACKAGES/$(ETHTOOL_HELPER).$(ETHTOOL_HELPER_SUFFIX)
ETHTOOL_HELPER_SOURCE		:= $(SRCDIR)/$(ETHTOOL_HELPER).$(ETHTOOL_HELPER_SUFFIX)
ETHTOOL_HELPER_DIR		:= $(BUILDDIR)/$(ETHTOOL_HELPER)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(ETHTOOL_HELPER_SOURCE):
	@$(call targetinfo)
###  We provide the source package locally in the BSP's "src" directory,
###  so we don't have to download anything:
	@$(call get, ETHTOOL_HELPER)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/ethtool_helper.extract:
	@$(call targetinfo)
	@$(call clean, $(ETHTOOL_HELPER_DIR))
	@$(call extract, ETHTOOL_HELPER)
	@$(call patchin, ETHTOOL_HELPER)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

ETHTOOL_HELPER_PATH	:= PATH=$(CROSS_PATH)
ETHTOOL_HELPER_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
ETHTOOL_HELPER_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/ethtool_helper.prepare:
	@$(call targetinfo)
	@$(call clean, $(ETHTOOL_HELPER_DIR)/config.cache)
	cd $(ETHTOOL_HELPER_DIR) && \
		$(ETHTOOL_HELPER_PATH) $(ETHTOOL_HELPER_ENV) \
		./configure $(ETHTOOL_HELPER_AUTOCONF)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/ethtool_helper.compile:
	@$(call targetinfo)
	cd $(ETHTOOL_HELPER_DIR) && $(ETHTOOL_HELPER_PATH) $(MAKE) $(PARALLELMFLAGS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ethtool_helper.install:
	@$(call targetinfo)
	@$(call install, ETHTOOL_HELPER)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ethtool_helper.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ethtool_helper)
	@$(call install_fixup, ethtool_helper,PACKAGE,ethtool-helper)
	@$(call install_fixup, ethtool_helper,PRIORITY,optional)
	@$(call install_fixup, ethtool_helper,VERSION,$(ETHTOOL_HELPER_VERSION))
	@$(call install_fixup, ethtool_helper,SECTION,base)
	@$(call install_fixup, ethtool_helper,AUTHOR,"Patrick Hess, PHYTEC Messtechnik GmbH")
	@$(call install_fixup, ethtool_helper,DEPENDS,)
	@$(call install_fixup, ethtool_helper,DESCRIPTION,"Simplifies the use of ethtool(1)")

	@$(call install_copy, ethtool_helper, 0, 0, 0755, \
	        $(ETHTOOL_HELPER_DIR)/ethtool_helper, \
	        /usr/sbin/ethtool_helper, y)

	@$(call install_finish, ethtool_helper)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

ethtool_helper_clean:
	rm -rf $(STATEDIR)/ethtool_helper.*
	rm -rf $(PKGDIR)/ethtool_helper_*
	rm -rf $(ETHTOOL_HELPER_DIR)

# vim: syntax=make
