# -*-makefile-*-
#
# Copyright (C) 2010 by Jan Weitzel <j.weitzel@phytec.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_FBSPLASH) += fbsplash

FBSPLASH_VERSION	:= 0.1

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(STATEDIR)/fbsplash.get:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/fbsplash.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/fbsplash.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/fbsplash.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/fbsplash.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/fbsplash.targetinstall:
	@$(call targetinfo)

	@$(call install_init, fbsplash)
	@$(call install_fixup,fbsplash,PRIORITY,optional)
	@$(call install_fixup,fbsplash,SECTION,base)
	@$(call install_fixup,fbsplash,AUTHOR,"Jan Weitzel <j.weitzel@phytec.de>")
	@$(call install_fixup,fbsplash,DESCRIPTION,missing)

	@$(call install_alternative, fbsplash, 0, 0, 0644, /etc/fbsplash.ppm)

ifdef PTXCONF_INITMETHOD_BBINIT
ifdef PTXCONF_FBSPLASH_STARTSCRIPT
	@$(call install_alternative, fbsplash, 0, 0, 0755, /etc/init.d/fbsplash)

ifneq ($(call remove_quotes,$(PTXCONF_FBSPLASH_BBINIT_LINK)),)
	@$(call install_link, fbsplash, \
		../init.d/fbsplash, \
		/etc/rc.d/$(PTXCONF_FBSPLASH_BBINIT_LINK))
endif
endif
endif
	@$(call install_finish,fbsplash)

	@$(call touch)

# vim: syntax=make
