# -*-makefile-*-
#
# Copyright (C) 2010 by Jan Weitzel <j.weitzel@phytec.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PEB) += peb

#
# Paths and names and versions
#
PEB_VERSION	:= 0.1
PEB		:= peb-$(PEB_VERSION)
PEB_SRCDIR	:= $(PTXDIST_WORKSPACE)/local_src/$(PEB)
PEB_DIR		:= $(BUILDDIR)/$(PEB)
PEB_LICENSE	:= unknown

ifdef PTXCONF_PEB
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/peb.targetinstall
endif

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/peb.compile:
	@$(call targetinfo)
#	# The kernel cannot build an out-of-tree driver out-of-tree :-)
#	# So we make a local copy.
	rm -fr $(PEB_DIR)
	cp -a $(PEB_SRCDIR) $(PEB_DIR)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(PEB_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/peb.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/peb.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(PEB_DIR) \
		modules_install
ifdef PTXCONF_CANPREUP
	@$(call install_init, peb)
	@$(call install_fixup,peb,PRIORITY,optional)
	@$(call install_fixup,peb,SECTION,base)
	@$(call install_fixup,peb,AUTHOR,"Jan weitzel <j.weitzel@phytec.de>")
	@$(call install_fixup,peb,DESCRIPTION,missing)

	@$(call install_alternative, peb, 0, 0, 0755, /etc/network/can-pre-up)
	@$(call install_finish,peb)
endif
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/peb.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, PEB)

# vim: syntax=make
